## haskell-glut 2.7.0.1

=== examples/Makefile ===
SUBDIRS := BOGLGP Misc OrangeBook RedBook4 RedBook8
include examples.mk

=== examples/BOGLGP/Makefile ===
SUBDIRS := $(wildcard Chapter*)
include ../examples.mk

=== examples/Misc/Makefile ===
SUBDIRS := ColorTriangle
include ../examples.mk

=== examples/OrangeBook/Makefile ===
SUBDIRS := ogl2brick
include ../examples.mk

=== examples/RedBook4/Makefile ===
EXCLUDED_SOURCES := ReadImage.hs
include ../examples.mk

ColorMatrix ColorTable Convolution Histogram Minmax: ReadImage.o

=== examples/Misc/ColorTriangle/Makefile ===
HC_SEARCH_PATHS := ../../RedBook8/common/
include ../../examples.mk

=== examples/OrangeBook/ogl2brick/Makefile ===
include ../../examples.mk

=== examples/RedBook8/Chapter01/Makefile ===
HC_SEARCH_PATHS := ../common
include ../../examples.mk

=== examples/RedBook8/common/Makefile ===
include ../../examples.mk
HC := $(HC) -c

## haskell-glut 2.1.2.1

=== debian/changelog ===
haskell-glut (2.1.2.1-1build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Mon, 24 Jan 2011 16:30:22 +0000

haskell-glut (2.1.2.1-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Joachim Breitner ]
  * New upstream release, part of the Haskell Platform
  * Ship newly added examples in -doc package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 01 May 2010 16:19:00 +0200

haskell-glut (2.1.1.2-2) unstable; urgency=low

  * Adopt for the Debian Haskell Group

 -- Joachim Breitner <nomeata@debian.org>  Fri, 12 Feb 2010 16:11:14 +0100

haskell-glut (2.1.1.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer.
  * Switched over to use haskell-devscripts and hlibrary.mk.

 -- Kari Pahula <kaol@debian.org>  Thu, 05 Mar 2009 20:24:06 +0200

haskell-glut (2.1.1.1-2) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library packaging files v10":
    * Versioned dependencies are now generated for the Cabal packages we
      depend on.
    * Use the new ${impl:ghc6:*_deps} variables in debian/control.in.
    * Call canonicalise-comma-list on the depends and suggests fields in
      control.in. This works around bugs in lintian, where it gets
      confused and starts giving spurious warnings.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 28 Feb 2008 01:01:42 +0000

haskell-glut (2.1.1.1-1) unstable; urgency=low

  * New upstream version.
  * Upgrade to "Generic Haskell cabal library packaging files v9":
    * Allows Setup to be in Setup.lhs instead of Setup.hs.
    * Bump the required haskell-utils from 1.8 to 1.10.
    * The control.in gives a standards-version of 3.7.3 (was 3.7.2).
    * Move everything from the devel section to the libdevel section.
    * Delete the LICENSE file (currently we assume it has that name, and
      that it exists) after "Setup copy"ing the Cabal package.
    * Remove some hacks that worked around older Cabal not letting us
      tell it exactly where to put the documentation.
    * Use --hyperlink-source when telling Cabal to haddock the library.
    * Add hscolour to the build-depends.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 20 Nov 2007 00:00:45 +0000

haskell-glut (2.1.1-2) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library packaging files v8":
    * update-generated-files rule in debian/rules runs
      update-debian-haskell-files.
    * Build-dep on haddock >= 0.8-2 in order to get portable .haddock files.
    * We tell Cabal's configure where to put the docs so that it doesn't
      break when we move them around behind its back.
    * Use canonicalise-comma-list around the build-deps in debian/control.in
      to fix problems where we get an unparsable ", , " when a variable is
      empty.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 04 Jun 2007 21:53:01 +0000

haskell-glut (2.1.1-1) unstable; urgency=low

  * New upstream version.
  * Fix Setup.hs (type signatures don't match our version of Cabal).
  * Split off profiling and documentation into separate packages.
  * debian/control.in now makes much more use of variables, including
    magic Cabal variables.
  * Use debhelper level 5 (was 4).
  * Bump haskell-utils build-dep requirement to 1.8.
  * Upgrade to "Generic Haskell cabal library debian/rules v0.7":
    * Generate haddock docs. 
    * -doc package calls gen_contents_index from postinst and postrm.
    * Use destdir rather than deprecated copy-prefix flag to Setup copy.
    * Add -X.haddock to dh_compress call.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 10 May 2007 13:39:44 +0100

haskell-glut (2.0-2.1) unstable; urgency=high

  * Non-maintainer upload with permission of maintainer.
  * Set urgency to high so we can get this fix into etch.
  * debian/control: Add libice-dev, libsm-dev, libxi-dev and libxmu-dev to
    Build-Depends so the configure script will detect the correct
    LD_OPTIONS to be used by the register.sh script. (Closes: #404350)
  
 -- Arjan Oosting <arjan@debian.org>  Mon, 25 Dec 2006 00:10:18 +0100

haskell-glut (2.0-2) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library debian/rules v0.6".
    Tell setup to use ghc6 rather than ghc, so that the postinst/prerm
    scripts work when the ghc-pkg symlink doesn't exist or doesn't
    point to ghc6's ghc-pkg. 

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 20 Nov 2006 20:50:42 +0000

haskell-glut (2.0-1) unstable; urgency=low

  * Initial release (was part of ghc6 until version 6.6-1).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 13 Oct 2006 16:43:11 +0000

=== debian/control ===
Source: haskell-glut
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7)
  , haskell-devscripts (>= 0.7)
  , cdbs
  , ghc6
  , ghc6-prof
  , ghc6-doc
  , libghc6-opengl-dev
  , libghc6-opengl-prof
  , libghc6-opengl-doc
  , freeglut3-dev
  , libice-dev
  , libsm-dev
  , libxi-dev
  , libxmu-dev 
Homepage: http://hackage.haskell.org/package/GLUT
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-glut
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-glut

Package: libghc6-glut-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , freeglut3-dev
  , libice-dev
  , libsm-dev
  , libxi-dev
  , libxmu-dev
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell GLUT binding for GHC
 This package provides a library for the Haskell programming language.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

Package: libghc6-glut-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Provides: ${haskell:Provides}
Description: Haskell GLUT binding for GHC; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

Package: libghc6-glut-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell GLUT binding for GHC; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

## haskell-glut 2.1.2.2

=== debian/changelog ===
haskell-glut (2.1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 22 May 2012 09:24:55 +0200

haskell-glut (2.1.2.1-3) unstable; urgency=low

  * debian/patches/FFI-needs-constructor: GHC 7.4.1 compatibitliy patch.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Feb 2012 16:24:17 +0100

haskell-glut (2.1.2.1-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Joachim Breitner <nomeata@debian.org>  Sun, 27 Mar 2011 11:24:08 +0530

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper (>= 7)
   , haskell-devscripts (>= 0.7)
   , cdbs
-  , ghc6
-  , ghc6-prof
-  , ghc6-doc
-  , libghc6-opengl-dev
-  , libghc6-opengl-prof
-  , libghc6-opengl-doc
+  , ghc
+  , ghc-prof
+  , ghc-doc
+  , libghc-opengl-dev
+  , libghc-opengl-prof
+  , libghc-opengl-doc
   , freeglut3-dev
   , libice-dev
   , libsm-dev
@@ -22,7 +22,7 @@
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-glut
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-glut
 
-Package: libghc6-glut-dev
+Package: libghc-glut-dev
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -42,7 +42,7 @@
  information about the C library on which this binding is based,
  please see: <http://www.opengl.org/resources/libraries/glut/>.
 
-Package: libghc6-glut-prof
+Package: libghc-glut-prof
 Architecture: any
 Depends: ${haskell:Depends}
   , ${misc:Depends}
@@ -56,7 +56,7 @@
  information about the C library on which this binding is based,
  please see: <http://www.opengl.org/resources/libraries/glut/>.
 
-Package: libghc6-glut-doc
+Package: libghc-glut-doc
 Section: doc
 Architecture: all
 Depends: ${haskell:Depends}

## haskell-glut 2.3.1.0

=== debian/changelog ===
haskell-glut (2.3.1.0-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:44 +0200

haskell-glut (2.3.1.0-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Feb 2013 23:28:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,35 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7)
-  , haskell-devscripts (>= 0.7)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
+  , haskell-devscripts (>= 0.8.13)
   , cdbs
   , ghc
   , ghc-prof
   , ghc-doc
-  , libghc-opengl-dev
+  , libghc-opengl-dev (>= 2.6)
+  , libghc-opengl-dev (<< 2.7)
   , libghc-opengl-prof
-  , libghc-opengl-doc
+  , libghc-openglraw-dev (>= 1.3)
+  , libghc-openglraw-dev (<< 1.4)
+  , libghc-openglraw-prof
+  , libghc-statevar-dev (>= 1.0)
+  , libghc-statevar-dev (<< 1.1)
+  , libghc-statevar-prof
+  , libghc-tensor-dev (>= 1.0)
+  , libghc-tensor-dev (<< 1.1)
+  , libghc-tensor-prof
   , freeglut3-dev
   , libice-dev
   , libsm-dev
   , libxi-dev
   , libxmu-dev 
+Build-Depends-Indep: ghc-doc
+  , libghc-opengl-doc
+  , libghc-openglraw-doc
+  , libghc-statevar-doc
+  , libghc-tensor-doc
 Homepage: http://hackage.haskell.org/package/GLUT
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-glut
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-glut

## haskell-glut 2.4.0.0

=== debian/changelog ===
haskell-glut (2.4.0.0-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 May 2013 15:25:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,12 @@
   , ghc
   , ghc-prof
   , ghc-doc
-  , libghc-opengl-dev (>= 2.6)
-  , libghc-opengl-dev (<< 2.7)
+  , libghc-opengl-dev (>= 2.8)
+  , libghc-opengl-dev (<< 2.9)
   , libghc-opengl-prof
   , libghc-openglraw-dev (>= 1.3)
   , libghc-openglraw-dev (<< 1.4)
   , libghc-openglraw-prof
-  , libghc-statevar-dev (>= 1.0)
-  , libghc-statevar-dev (<< 1.1)
-  , libghc-statevar-prof
-  , libghc-tensor-dev (>= 1.0)
-  , libghc-tensor-dev (<< 1.1)
-  , libghc-tensor-prof
   , freeglut3-dev
   , libice-dev
   , libsm-dev
@@ -30,8 +24,6 @@
 Build-Depends-Indep: ghc-doc
   , libghc-opengl-doc
   , libghc-openglraw-doc
-  , libghc-statevar-doc
-  , libghc-tensor-doc
 Homepage: http://hackage.haskell.org/package/GLUT
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-glut
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-glut

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|GLUT-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/GLUT \
    ([\d\.]*\d)/

## haskell-glut 2.7.0.0

=== debian/changelog ===
haskell-glut (2.7.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:49:58 +0200

haskell-glut (2.7.0.0-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 16:06:35 +0200

haskell-glut (2.5.1.1-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,27 @@
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9)
-  , haskell-devscripts (>= 0.8.13)
+  , haskell-devscripts (>= 0.9)
   , cdbs
   , ghc
   , ghc-prof
   , ghc-doc
-  , libghc-opengl-dev (>= 2.8)
-  , libghc-opengl-dev (<< 2.9)
+  , libghc-statevar-dev (>= 1.1)
+  , libghc-statevar-dev (<< 1.2)
+  , libghc-statevar-prof
+  , libghc-openglraw-dev (>= 2.3)
+  , libghc-openglraw-dev (<< 2.5)
+  , libghc-openglraw-prof
+  , libghc-opengl-dev (>= 2.12)
+  , libghc-opengl-dev (<< 2.13)
   , libghc-opengl-prof
-  , libghc-openglraw-dev (>= 1.3)
-  , libghc-openglraw-dev (<< 1.4)
-  , libghc-openglraw-prof
   , freeglut3-dev
   , libice-dev
   , libsm-dev
   , libxi-dev
-  , libxmu-dev 
+  , libxmu-dev
 Build-Depends-Indep: ghc-doc
+  , libghc-statevar-doc
   , libghc-opengl-doc
   , libghc-openglraw-doc
 Homepage: http://hackage.haskell.org/package/GLUT

## haskell-glut 2.7.0.1

=== debian/changelog ===
haskell-glut (2.7.0.1-3build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 21:22:31 +0000

haskell-glut (2.7.0.1-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:30 -0500

haskell-glut (2.7.0.1-2) experimental; urgency=medium

  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:42 +0200

haskell-glut (2.7.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.6 (No changes needed)
  * Reformat debian/changelog according to dep5

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 27 Jun 2015 20:59:57 +0300

=== debian/control ===
Source: haskell-glut
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>, Dmitry Bogatov <KAction@gnu.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-opengl-dev (>= 2.12),
 libghc-opengl-dev (<< 2.13),
 libghc-opengl-prof,
 freeglut3-dev,
 libice-dev,
 libsm-dev,
 libxi-dev,
 libxmu-dev,
 libghc-openglraw-dev (>= 2.3),
 libghc-openglraw-dev (<< 2.6),
 libghc-openglraw-prof,
 libghc-statevar-dev (>= 1.1),
 libghc-statevar-dev (<< 1.2),
 libghc-statevar-prof,
Build-Depends-Indep: ghc-doc,
 libghc-opengl-doc,
 libghc-openglraw-doc,
 libghc-statevar-doc,
Standards-Version: 3.9.6
Homepage: http://www.haskell.org/haskellwiki/Opengl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-glut-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 freeglut3-dev,
 libice-dev,
 libsm-dev,
 libxi-dev,
 libxmu-dev,
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell GLUT binding for GHC
 This package provides a library for the Haskell programming language.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

Package: libghc-glut-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Provides: ${haskell:Provides},
Description: Haskell GLUT binding for GHC; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

Package: libghc-glut-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Haskell GLUT binding for GHC; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/GLUT/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-glut 2.7.0.5

=== debian/changelog ===
haskell-glut (2.7.0.5-1build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 May 2016 20:52:37 +0100

haskell-glut (2.7.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 13 Mar 2016 18:29:52 -0400

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,26 @@
  ghc,
  ghc-prof,
  libghc-opengl-dev (>= 2.12),
- libghc-opengl-dev (<< 2.13),
+ libghc-opengl-dev (<< 3.1),
  libghc-opengl-prof,
  freeglut3-dev,
  libice-dev,
  libsm-dev,
  libxi-dev,
  libxmu-dev,
- libghc-openglraw-dev (>= 2.3),
- libghc-openglraw-dev (<< 2.6),
- libghc-openglraw-prof,
  libghc-statevar-dev (>= 1.1),
  libghc-statevar-dev (<< 1.2),
  libghc-statevar-prof,
+ libghc-openglraw-dev (>= 1.0),
+ libghc-openglraw-dev (<< 3.1),
+ libghc-random-dev (>= 1.0),
+ libghc-random-dev (<< 1.2),
 Build-Depends-Indep: ghc-doc,
  libghc-opengl-doc,
- libghc-openglraw-doc,
  libghc-statevar-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.haskell.org/haskellwiki/Opengl
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-glut
 Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-glut-dev

## haskell-glut 2.7.0.6

=== debian/changelog ===
haskell-glut (2.7.0.6-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 26 May 2016 07:52:16 -0400

=== debian/control ===
--- 
+++ 
@@ -20,16 +20,16 @@
  libghc-statevar-dev (<< 1.2),
  libghc-statevar-prof,
  libghc-openglraw-dev (>= 1.0),
- libghc-openglraw-dev (<< 3.1),
+ libghc-openglraw-dev (<< 3.2),
  libghc-random-dev (>= 1.0),
  libghc-random-dev (<< 1.2),
 Build-Depends-Indep: ghc-doc,
  libghc-opengl-doc,
  libghc-statevar-doc,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.haskell.org/haskellwiki/Opengl
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-glut
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-glut-dev
 Architecture: any

## haskell-glut 2.7.0.10

=== debian/changelog ===
haskell-glut (2.7.0.10-4) unstable; urgency=medium

  * Use extra-libraries: GLUT so that this properly links against libglut
    (Closes: 861976)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 May 2017 16:56:46 -0400

haskell-glut (2.7.0.10-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:52 -0400

haskell-glut (2.7.0.10-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 02:23:11 -0400

haskell-glut (2.7.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 May 2016 12:10:45 +0200

=== debian/control ===
Source: haskell-glut
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
 Dmitry Bogatov <KAction@gnu.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 freeglut3-dev,
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-opengl-dev (<< 3.1),
 libghc-opengl-dev (>= 2.12),
 libghc-opengl-prof,
 libghc-openglraw-dev (<< 3.3),
 libghc-openglraw-dev (>= 1.0),
 libghc-random-dev (<< 1.2),
 libghc-random-dev (>= 1.0),
 libghc-statevar-dev (<< 1.2),
 libghc-statevar-dev (>= 1.1),
 libghc-statevar-prof,
 libice-dev,
 libsm-dev,
 libxi-dev,
 libxmu-dev,
Build-Depends-Indep:
 ghc-doc,
 libghc-opengl-doc,
 libghc-statevar-doc,
Standards-Version: 3.9.8
Homepage: http://www.haskell.org/haskellwiki/Opengl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-glut
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-glut-dev
Architecture: any
Depends:
 freeglut3-dev,
 libice-dev,
 libsm-dev,
 libxi-dev,
 libxmu-dev,
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell GLUT binding for GHC
 This package provides a library for the Haskell programming language.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

Package: libghc-glut-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Provides:
 ${haskell:Provides},
Description: Haskell GLUT binding for GHC; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

Package: libghc-glut-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Haskell GLUT binding for GHC; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 .
 This library provides a binding for the OpenGL Utility Toolkit, a window
 system independent toolkit for writing OpenGL programs. For more
 information about the C library on which this binding is based,
 please see: <http://www.opengl.org/resources/libraries/glut/>.

## haskell-glut 2.7.0.12

=== debian/changelog ===
haskell-glut (2.7.0.12-1build5) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jan 2018 10:08:19 +0100

haskell-glut (2.7.0.12-1build4) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Jan 2018 20:13:47 +0100

haskell-glut (2.7.0.12-1build3) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Dec 2017 16:20:39 +0100

haskell-glut (2.7.0.12-1build2) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2017 05:05:31 +0000

haskell-glut (2.7.0.12-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 13:30:16 +0200

haskell-glut (2.7.0.12-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:41:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-glut
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
  Dmitry Bogatov <KAction@gnu.org>,

## haskell-glut 2.7.0.13

=== debian/changelog ===
haskell-glut (2.7.0.13-1build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 08:42:19 +0200

haskell-glut (2.7.0.13-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:01:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: haskell-glut
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
  Dmitry Bogatov <KAction@gnu.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -31,10 +30,10 @@
  ghc-doc,
  libghc-opengl-doc,
  libghc-statevar-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://www.haskell.org/haskellwiki/Opengl
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-glut
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-glut
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-glut-dev
 Architecture: any

## haskell-glut 2.7.0.14

=== debian/changelog ===
haskell-glut (2.7.0.14-2) unstable; urgency=medium

  * Adjust dependencies to build with ghc-8.4

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 05 Oct 2018 00:02:37 +0000

haskell-glut (2.7.0.14-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 15:09:54 +0300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
  Dmitry Bogatov <KAction@gnu.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  freeglut3-dev,
  ghc (>= 8),
  ghc-prof,
@@ -15,7 +16,6 @@
  libghc-opengl-dev (<< 3.1),
  libghc-opengl-dev (>= 2.12),
  libghc-opengl-prof,
- libghc-openglraw-dev (<< 3.3),
  libghc-openglraw-dev (>= 1.0),
  libghc-random-dev (<< 1.2),
  libghc-random-dev (>= 1.0),
@@ -33,7 +33,7 @@
 Standards-Version: 4.1.4
 Homepage: http://www.haskell.org/haskellwiki/Opengl
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-glut
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-glut]
 
 Package: libghc-glut-dev
 Architecture: any

=== debian/watch ===
version=3
https://hackage.haskell.org/package/GLUT/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-glut 2.7.0.15

=== debian/changelog ===
haskell-glut (2.7.0.15-2build3) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:30:51 +0000

haskell-glut (2.7.0.15-2build2) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2020 20:52:37 +0200

haskell-glut (2.7.0.15-2build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 15:13:46 +0200

haskell-glut (2.7.0.15-2) unstable; urgency=medium

  * Remove Dmitry Bogatov from Uploaders per his request. Thank you
    Dmitry for your previous maintainership.
  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 23 Jun 2020 09:37:46 +0300

haskell-glut (2.7.0.15-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 21:04:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: haskell-glut
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
- Dmitry Bogatov <KAction@gnu.org>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
@@ -16,12 +17,12 @@
  libghc-opengl-dev (<< 3.1),
  libghc-opengl-dev (>= 2.12),
  libghc-opengl-prof,
+ libghc-statevar-dev (>= 1.1),
+ libghc-statevar-dev (<< 1.3),
+ libghc-statevar-prof,
  libghc-openglraw-dev (>= 1.0),
  libghc-random-dev (<< 1.2),
  libghc-random-dev (>= 1.0),
- libghc-statevar-dev (<< 1.2),
- libghc-statevar-dev (>= 1.1),
- libghc-statevar-prof,
  libice-dev,
  libsm-dev,
  libxi-dev,
@@ -30,8 +31,8 @@
  ghc-doc,
  libghc-opengl-doc,
  libghc-statevar-doc,
-Standards-Version: 4.1.4
-Homepage: http://www.haskell.org/haskellwiki/Opengl
+Standards-Version: 4.5.0
+Homepage: https://www.haskell.org/haskellwiki/Opengl
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-glut
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-glut]

## haskell-glut 2.7.0.16

=== debian/changelog ===
haskell-glut (2.7.0.16-5) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 9.10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 07 Jan 2026 20:55:13 +0200

haskell-glut (2.7.0.16-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 20 Sep 2024 09:11:27 +0300

haskell-glut (2.7.0.16-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 03 Sep 2023 13:58:09 +0300

haskell-glut (2.7.0.16-2) unstable; urgency=medium

  * Remove dependency against libghc-random-dev

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 22 Jul 2022 12:26:56 +0300

haskell-glut (2.7.0.16-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 19 Jul 2022 18:50:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: haskell-glut
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  freeglut3-dev,
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-opengl-dev (<< 3.1),
@@ -21,8 +19,6 @@
  libghc-statevar-dev (<< 1.3),
  libghc-statevar-prof,
  libghc-openglraw-dev (>= 1.0),
- libghc-random-dev (<< 1.2),
- libghc-random-dev (>= 1.0),
  libice-dev,
  libsm-dev,
  libxi-dev,
@@ -31,7 +27,7 @@
  ghc-doc,
  libghc-opengl-doc,
  libghc-statevar-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: https://www.haskell.org/haskellwiki/Opengl
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-glut
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-glut]
